osl::container::QuadInt Struct Reference

`#include <quadInt.h>`

Inheritance diagram for osl::container::QuadInt:

## Classes

union | XMM

## Public Member Functions

| QuadInt ()
| QuadInt (QuadInt const &si)
QuadInt & | operator= (QuadInt const &si)
void | clear ()
int & | operator[] (int i)
const int & | operator[] (int i) const
QuadInt | operator- () const
QuadInt & | operator+= (QuadInt const &si)
QuadInt & | operator-= (QuadInt const &si)
QuadInt & | operator*= (int scale)

## Static Public Member Functions

static size_t | size ()
Static Public Member Functions inherited from osl::misc::Align16New
static void * | operator new (size_t size)
static void * | operator new[] (size_t size)
static void | operator delete (void *ptr, size_t size)
static void | operator delete[] (void *ptr, size_t size)

## Public Attributes

union osl::container::QuadInt::XMM | v

## Additional Inherited Members

Static Public Attributes inherited from osl::misc::Align16New
static const int | Alignment = 16
Protected Member Functions inherited from osl::misc::Align16New
| ~Align16New ()

## Detailed Description

Definition at line 42 of file quadInt.h.

## Constructor & Destructor Documentation

## QuadInt() [1/2]

osl::container::QuadInt::QuadInt | ( |  | ) |

inline

Definition at line 56 of file quadInt.h.

References clear().

Referenced by operator*=(), operator+=(), operator-(), operator-=(), operator=(), and QuadInt().

## QuadInt() [2/2]

osl::container::QuadInt::QuadInt | ( | QuadInt const & | si | ) |

inline

Definition at line 59 of file quadInt.h.

References osl::QuadInt::XMM::llv, QuadInt(), and v.

## Member Function Documentation

## clear()

void osl::container::QuadInt::clear | ( |  | ) |

inline

Definition at line 75 of file quadInt.h.

References v.

Referenced by osl::eval::ml::BishopMobilityAll::eval(), osl::eval::ml::LanceMobilityAll::eval(), osl::eval::ml::PtypeCount::eval(), osl::eval::ml::RookMobilityAll::eval(), osl::eval::ml::King25EffectEachBoth::evalOne(), and QuadInt().

## operator*=()

QuadInt & osl::container::QuadInt::operator*= | ( | int | scale | ) |

inline

Definition at line 110 of file quadInt.h.

References QuadInt(), and v.

## operator+=()

QuadInt & osl::container::QuadInt::operator+= | ( | QuadInt const & | si | ) |

inline

Definition at line 94 of file quadInt.h.

References osl::QuadInt::XMM::iv, QuadInt(), and v.

## operator-()

QuadInt osl::container::QuadInt::operator- | ( |  | ) | const

inline

Definition at line 89 of file quadInt.h.

References QuadInt().

## operator-=()

QuadInt & osl::container::QuadInt::operator-= | ( | QuadInt const & | si | ) |

inline

Definition at line 102 of file quadInt.h.

References osl::QuadInt::XMM::iv, QuadInt(), and v.

## operator=()

QuadInt & osl::container::QuadInt::operator= | ( | QuadInt const & | si | ) |

inline

Definition at line 66 of file quadInt.h.

References osl::QuadInt::XMM::llv, QuadInt(), and v.

## operator[]() [1/2]

int & osl::container::QuadInt::operator[] | ( | int | i | ) |

inline

Definition at line 83 of file quadInt.h.

References v.

## operator[]() [2/2]

const int & osl::container::QuadInt::operator[] | ( | int | i | ) | const

inline

Definition at line 86 of file quadInt.h.

References v.

## size()

size_t osl::container::QuadInt::size | ( |  | ) |

inline static

Definition at line 123 of file quadInt.h.

Referenced by osl::eval::ml::MultiWeights::setRandom().

## Member Data Documentation

## v

union osl::container::QuadInt::XMM osl::container::QuadInt::v

Referenced by clear(), operator*=(), operator+=(), operator-=(), osl::container::operator<(), operator=(), osl::container::operator==(), operator[](), operator[](), and QuadInt().

The documentation for this struct was generated from the following file:

- quadInt.h